
import QtQuick 2.2

import QGroundControl.Controls      1.0
import QGroundControl.FactSystem    1.0
import QGroundControl.FactControls  1.0
import QGroundControl.Palette       1.0
import QGroundControl.ScreenTools   1.0
import QGroundControl.Controllers   1.0

Rectangle {
    anchors.fill:   parent
    color:          qgcPal.window

    CustomCommandWidgetController {
        id:         controller
        factPanel:  panel
    }

    QGCPalette { id: qgcPal; colorGroupEnabled: enabled }

	Column {
		spacing: 2
	    Row {
	        spacing: 2
			QGCButton{
			    text: "APERT ▲"
			    onClicked: controller.sendCommand(202, 0, 0, 0, 101, 0, 0, 0, 0, 0, 0)
			    }
			QGCButton{
			    text: "SPEED ▲"
			    onClicked: controller.sendCommand(202, 0, 0, 0, 0, 0, 101, 0, 0, 0, 0)
			    }
			QGCButton{
			    text: "ISO ▲"
			    onClicked: controller.sendCommand(202, 0, 0, 0, 0, 101, 0, 0, 0, 0, 0)
			    }
			QGCButton{
			    text: "ZOOM ▲"
			    onClicked: controller.sendCommand(203, 0, 0, 0, 101, 0, 0, 0, 0, 0)
			    }

	    }
	    Row {
	        spacing: 2
			QGCButton{
			    text: "APERT ▼"
			    onClicked: controller.sendCommand(202, 0, 0, 0, 99, 0, 0, 0, 0, 0, 0)
			    }
			QGCButton{
			    text: "SPEED ▼"
			    onClicked: controller.sendCommand(202, 0, 0, 0, 0, 0, 99, 0, 0, 0, 0)
			    }
			QGCButton{
			    text: "ISO ▼"
			    onClicked: controller.sendCommand(202, 0, 0, 0, 0, 99, 0, 0, 0, 0, 0)
			    }
			QGCButton{
			    text: "ZOOM ▼"
			    onClicked: controller.sendCommand(203, 0, 0, 0, 99, 0, 0, 0, 0, 0)
			    }

	    }
	    Row {
	    spacing: 2
			QGCButton{
			    text: "◁"
			    onClicked: controller.sendCommand(202, 0, 0, 100, 0, 0, 0, 0, 0, 0)
			    }
			QGCButton{
			    text: "▷"
			    onClicked: controller.sendCommand(202, 0, 0, 101, 0, 0, 0, 0, 0, 0)
			    }
			QGCButton{
			    text: "△"
			    onClicked: controller.sendCommand(202, 0, 0, 102, 0, 0, 0, 0, 0, 0)
			    }
			QGCButton{
			    text: "▽"
			    onClicked: controller.sendCommand(202, 0, 0, 103, 0, 0, 0, 0, 0, 0)
			    }
			QGCButton{
			    text: "OK"
			    onClicked: controller.sendCommand(202, 0, 0, 104, 0, 0, 0, 0, 0, 0)
			    }
			QGCButton{
			    text: "MENU"
			    onClicked: controller.sendCommand(202, 0, 0, 105, 0, 0, 0, 0, 0, 0)
			    }
		}
	    Row {
	    spacing: 2
			QGCButton{
			    text: "Photo"
			    onClicked: controller.sendCommand(203, 0, 0, 0, 0, 0, 0, 1, 0, 0)
			    }
			QGCButton{
			    text: "Video"
			    onClicked: controller.sendCommand(202, 0, 0, 106, 0, 0, 0, 0, 0, 0)
			    }
			QGCButton{
			    text: "AF"
			    onClicked: controller.sendCommand(203, 0, 0, 0, 0, 0, 0, 1, 0, 0)
			    }
		}
	}
}